FleetAppsManagementOperationsClient¶
- class oci.fleet_apps_management.FleetAppsManagementOperationsClient(config, **kwargs)¶
Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.
Methods:
__init__(config, **kwargs)Creates a new service client
change_patch_compartment(patch_id, ...)Moves a Patch into a different compartment within the same tenancy.
create_patch(create_patch_details, **kwargs)Creates a new Patch.
Create a SchedulerDefinition to perform lifecycle operations.
delete_patch(patch_id, **kwargs)Deletes the patch specified by identifier.
Deletes a SchedulerDefinition resource by identifier
delete_scheduler_job(scheduler_job_id, **kwargs)Deletes the schedule job specified by an identifier.
Generate Compliance Report
get_execution(scheduler_job_id, ...)Get Task Execution by Identifier for a Resource within an action group.
get_job_activity(scheduler_job_id, ...)Gets activity details by identifier for a job.
get_patch(patch_id, **kwargs)Gets a Patch by identifier.
Get the details of a SchedulerDefinition that performs lifecycle management operations.
get_scheduler_job(scheduler_job_id, **kwargs)Get the details of a lifecycle management operations job in Fleet Application Management.
list_compliance_records(compartment_id, **kwargs)Gets a list of complianceDetails.
list_executions(scheduler_job_id, ...)Returns a list of Task Executions for a Resource.
list_installed_patches(compartment_id, **kwargs)Gets a list of installed patches.
list_inventory_records(compartment_id, **kwargs)Gets a list of inventoryDetails.
list_patches(**kwargs)Returns a list of all the Patches in the specified compartment.
list_recommended_patches(compartment_id, ...)Gets a list of recommended patches.
list_report_metadata(compartment_id, **kwargs)Returns a list of all the report metadata.
list_resources(scheduler_job_id, ...)Returns a list of resources for an Activity Execution.
Returns a list of ScheduledFleets.
list_scheduler_definitions(**kwargs)Returns a list of all the Schedule Definitions in the specified compartment.
list_scheduler_executions(**kwargs)Returns a list of all executions that are scheduled.
list_scheduler_jobs(**kwargs)Returns a list of all schedule jobs in the specified compartment.
list_steps(scheduler_job_id, ...)Returns a list of Steps for an Activity Execution.
list_target_components(compartment_id, **kwargs)Gets a list of target component.
list_target_properties(compartment_id, **kwargs)Gets a list of target properties.
manage_job_execution(...)Manage execution actions for a Job like retrying or pausing a task.
report(report_details, compartment_id, **kwargs)Report
summarize_compliance_record_counts(**kwargs)Retrieve aggregated summary information of ComplianceRecords within a Compartment.
summarize_managed_entity_counts(**kwargs)Retrieve aggregated summary information of Managed entities within a Compartment.
summarize_scheduler_job_counts(**kwargs)Retrieve aggregated summary information of Scheduler Jobs within a Compartment.
update_patch(patch_id, update_patch_details, ...)Updates the patch specified by the identifier.
Update the details of a SchedulerDefinition that performs lifecycle management operations.
update_scheduler_job(scheduler_job_id, ...)Updates certain attributes for the specified schedule job.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- change_patch_compartment(patch_id, change_patch_compartment_details, **kwargs)¶
Moves a Patch into a different compartment within the same tenancy. For information about moving resources between compartments, see Moving Resources to a Different Compartment.
- Parameters
patch_id (str) – (required) Unique Patch identifier.
change_patch_compartment_details (oci.fleet_apps_management.models.ChangePatchCompartmentDetails) – (required) Details of the target compartment.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_patch_compartment API.
- create_patch(create_patch_details, **kwargs)¶
Creates a new Patch.
- Parameters
create_patch_details (oci.fleet_apps_management.models.CreatePatchDetails) – (required) Details for the new Patch.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_patch API.
- create_scheduler_definition(create_scheduler_definition_details, **kwargs)¶
Create a SchedulerDefinition to perform lifecycle operations.
- Parameters
create_scheduler_definition_details (oci.fleet_apps_management.models.CreateSchedulerDefinitionDetails) – (required) Details for the new SchedulerDefinition.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerDefinition- Return type
- Example
Click here to see an example of how to use create_scheduler_definition API.
- delete_patch(patch_id, **kwargs)¶
Deletes the patch specified by identifier.
- Parameters
patch_id (str) – (required) Unique Patch identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_patch API.
- delete_scheduler_definition(scheduler_definition_id, **kwargs)¶
Deletes a SchedulerDefinition resource by identifier
- Parameters
scheduler_definition_id (str) – (required) unique SchedulerDefinition identifier
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_scheduler_definition API.
- delete_scheduler_job(scheduler_job_id, **kwargs)¶
Deletes the schedule job specified by an identifier.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_scheduler_job API.
- export_compliance_report(export_compliance_report_details, **kwargs)¶
Generate Compliance Report
- Parameters
export_compliance_report_details (oci.fleet_apps_management.models.ExportComplianceReportDetails) – (required) Details for generating compliance report
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use export_compliance_report API.
- get_execution(scheduler_job_id, job_activity_id, resource_id, execution_id, **kwargs)¶
Get Task Execution by Identifier for a Resource within an action group.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
job_activity_id (str) – (required) unique jobActivity identifier
resource_id (str) – (required) unique Resource identifier
execution_id (str) – (required) Execution Id
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_execution API.
- get_job_activity(scheduler_job_id, job_activity_id, **kwargs)¶
Gets activity details by identifier for a job.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
job_activity_id (str) – (required) unique jobActivity identifier
is_details_required (bool) – (optional) If set to true, inventory details will be returned.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeJobActivity- Return type
- Example
Click here to see an example of how to use get_job_activity API.
- get_patch(patch_id, **kwargs)¶
Gets a Patch by identifier.
- Parameters
patch_id (str) – (required) Unique Patch identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_patch API.
- get_scheduler_definition(scheduler_definition_id, **kwargs)¶
Get the details of a SchedulerDefinition that performs lifecycle management operations.
- Parameters
scheduler_definition_id (str) – (required) unique SchedulerDefinition identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerDefinition- Return type
- Example
Click here to see an example of how to use get_scheduler_definition API.
- get_scheduler_job(scheduler_job_id, **kwargs)¶
Get the details of a lifecycle management operations job in Fleet Application Management.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerJob- Return type
- Example
Click here to see an example of how to use get_scheduler_job API.
- list_compliance_records(compartment_id, **kwargs)¶
Gets a list of complianceDetails.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
resource_id (str) – (optional) Resource identifier.
entity_id (str) – (optional) Entity identifier.Ex:FleetId
product_name (str) – (optional) Product Name.
product_stack (str) – (optional) ProductStack name.
target_name (str) – (optional) Unique target name
compliance_state (str) – (optional) Target Compliance State.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeComplianceRecordCollection- Return type
- Example
Click here to see an example of how to use list_compliance_records API.
- list_executions(scheduler_job_id, job_activity_id, resource_id, **kwargs)¶
Returns a list of Task Executions for a Resource.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
job_activity_id (str) – (required) unique jobActivity identifier
resource_id (str) – (required) unique Resource identifier
resource_task_id (str) – (optional) Task Id
step_name (str) – (optional) Unique step name
target_name (str) – (optional) Unique target name
sequence (str) – (optional) Task Order Sequence
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeStarted is descending.
Allowed values are: “timeStarted”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeExecutionCollection- Return type
- Example
Click here to see an example of how to use list_executions API.
- list_installed_patches(compartment_id, **kwargs)¶
Gets a list of installed patches. CompartmentId should be the compartmentId of resource(Containing the target).
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
target_id (str) – (optional) Target Id.
target_name (str) – (optional) Target name.
severity (str) –
(optional) Patch severity.
Allowed values are: “CRITICAL”, “HIGH”, “MEDIUM”, “LOW”
patch_level (str) – (optional) Patch level.
patch_type (str) – (optional) Patch Type.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
opc_request_id (str) – (optional) The client request ID for tracing.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided.
Allowed values are: “patchName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeInstalledPatchCollection- Return type
- Example
Click here to see an example of how to use list_installed_patches API.
- list_inventory_records(compartment_id, **kwargs)¶
Gets a list of inventoryDetails.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
fleet_id (str) – (optional) unique Fleet identifier
resource_id (str) – (optional) Resource Identifier
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
opc_request_id (str) – (optional) The client request ID for tracing.
is_details_required (bool) – (optional) If set to true, inventory details will be returned.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided.
Allowed values are: “targetName”, “targetProductName”, “targetResourceId”, “osType”, “architecture”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeInventoryRecordCollection- Return type
- Example
Click here to see an example of how to use list_inventory_records API.
- list_patches(**kwargs)¶
Returns a list of all the Patches in the specified compartment. The query parameter compartmentId is required unless the query parameter id is specified.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
product_id (str) – (optional) Product platformConfigurationId associated with the Patch.
version (str) – (optional) Product version.
type (str) –
(optional) DefinedBy type.
Allowed values are: “USER_DEFINED”, “ORACLE_DEFINED”
patch_type_id (str) – (optional) Patch Type platformConfigurationId associated with the Patch.
name (str) – (optional) A filter to return only resources that match the entire name given.
id (str) – (optional) Unique identifier or OCID for listing a single Patch by id. Either compartmentId or id must be provided.
time_released_greater_than_or_equal_to (datetime) – (optional) A filter to return patches whose release date is greater than or equal to the given date.
time_released_less_than (datetime) – (optional) A filter to return patches whose release date is less than the given date.
should_compliance_policy_rules_be_applied (bool) – (optional) Filter patch based on compliance policy rules for the Product.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
lifecycle_state (str) –
(optional) The current state of the Patch.
Allowed values are: “ACTIVE”, “INACTIVE”, “DELETED”, “DELETING”, “FAILED”, “UPDATING”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending.
Allowed values are: “timeCreated”, “name”
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePatchCollection- Return type
- Example
Click here to see an example of how to use list_patches API.
- list_recommended_patches(compartment_id, **kwargs)¶
Gets a list of recommended patches.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
target_id (str) – (optional) Target identifier.
target_name (str) – (optional) Unique target name
patch_level (str) –
(optional) Patch level.
Allowed values are: “LATEST”, “LATEST_MINUS_ONE”, “LATEST_MINUS_TWO”
severity (str) –
(optional) Patch severity.
Allowed values are: “CRITICAL”, “HIGH”, “MEDIUM”, “LOW”
patch_type (str) – (optional) Patch Type.
patch_id (str) – (optional) Patch identifier.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
opc_request_id (str) – (optional) The client request ID for tracing.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided.
Allowed values are: “patchName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRecommendedPatchCollection- Return type
- Example
Click here to see an example of how to use list_recommended_patches API.
- list_report_metadata(compartment_id, **kwargs)¶
Returns a list of all the report metadata.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_request_id (str) – (optional) The client request ID for tracing.
report_name (str) – (optional) A filter to return data for given report name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeReportMetadataCollection- Return type
- Example
Click here to see an example of how to use list_report_metadata API.
- list_resources(scheduler_job_id, job_activity_id, **kwargs)¶
Returns a list of resources for an Activity Execution.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
job_activity_id (str) – (required) unique jobActivity identifier
resource_task_id (str) – (optional) Task Id
step_name (str) – (optional) Unique step name
target_name (str) – (optional) Unique target name
sequence (str) – (optional) Task Order Sequence
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeStarted is descending.
Allowed values are: “timeStarted”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeResourceCollection- Return type
- Example
Click here to see an example of how to use list_resources API.
- list_scheduled_fleets(scheduler_definition_id, **kwargs)¶
Returns a list of ScheduledFleets.
- Parameters
scheduler_definition_id (str) – (required) unique SchedulerDefinition identifier
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for displayName is ascending.
Allowed values are: “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeScheduledFleetCollection- Return type
- Example
Click here to see an example of how to use list_scheduled_fleets API.
- list_scheduler_definitions(**kwargs)¶
Returns a list of all the Schedule Definitions in the specified compartment. The query parameter compartmentId is required unless the query parameter id is specified.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
lifecycle_state (str) –
(optional) A filter to return only scheduleDefinitions whose lifecycleState matches the given lifecycleState.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”, “INACTIVE”
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
product (str) – (optional) A filter to return only dchedule definitions whose assocaited product matches the given product
id (str) – (optional) Unique identifier or OCID for listing a single Schedule Definition by id. Either compartmentId or id must be provided.
maintenance_window_id (str) – (optional) A filter to return only schedule definitions whose associated maintenanceWindowId matches the given maintenanceWindowId.
runbook_id (str) – (optional) A filter to return only schedule definitions whose associated runbookId matches the given runbookId.
runbook_version_name (str) – (optional) RunbookVersion Name filter
time_scheduled_greater_than_or_equal_to (datetime) – (optional) Scheduled Time
time_scheduled_less_than (datetime) – (optional) Scheduled Time
fleet_id (str) – (optional) unique Fleet identifier
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated and timeOfNextRun is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”, “timeOfNextRun”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerDefinitionCollection- Return type
- Example
Click here to see an example of how to use list_scheduler_definitions API.
- list_scheduler_executions(**kwargs)¶
Returns a list of all executions that are scheduled.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
time_scheduled_greater_than_or_equal_to (datetime) – (optional) Scheduled Time
time_scheduled_less_than (datetime) – (optional) Scheduled Time
scheduler_defintion_id (str) – (optional) SchedulerDefinition identifier
scheduler_job_id (str) – (optional) SchedulerJob identifier filter
resource_id (str) – (optional) ResourceId filter (Example FleetId)
runbook_id (str) – (optional) A filter to return only schedule definitions whose associated runbookId matches the given runbookId.
runbook_version_name (str) – (optional) RunbookVersion Name filter
substate (str) – (optional) A filter to return only resources their subState matches the given subState.
lifecycle_operation (str) – (optional) A filter to return only resources their lifecycleOperation matches the given lifecycleOperation.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated and timeScheduled is descending.
Allowed values are: “timeCreated”, “timeScheduled”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerExecutionCollection- Return type
- Example
Click here to see an example of how to use list_scheduler_executions API.
- list_scheduler_jobs(**kwargs)¶
Returns a list of all schedule jobs in the specified compartment. The query parameter compartmentId is required unless the query parameter id is specified.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
lifecycle_state (str) –
(optional) A filter to return only resources whose lifecycleState matches the given lifecycleState.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “FAILED”, “SUCCEEDED”, “CANCELED”, “NEEDS_ATTENTION”
fleet_id (str) – (optional) unique Fleet identifier
time_scheduled_greater_than_or_equal_to (datetime) – (optional) Scheduled Time
time_scheduled_less_than (datetime) – (optional) Scheduled Time
is_remediation_job_needed (bool) – (optional) Fetch next remediation Job
substate (str) – (optional) A filter to return only resources their subState matches the given subState.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
id (str) – (optional) Unique identifier or OCID for listing a single Schedule Job by id. Either compartmentId or id must be provided.
scheduler_defintion_id (str) – (optional) SchedulerDefinition identifier
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated and timeScheduled is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “timeScheduled”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerJobCollection- Return type
- Example
Click here to see an example of how to use list_scheduler_jobs API.
- list_steps(scheduler_job_id, job_activity_id, **kwargs)¶
Returns a list of Steps for an Activity Execution.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
job_activity_id (str) – (required) unique jobActivity identifier
resource_task_id (str) – (optional) Task Id
step_name (str) – (optional) Unique step name
target_name (str) – (optional) Unique target name
sequence (str) – (optional) Task Order Sequence
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeStarted is descending.
Allowed values are: “timeStarted”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeStepCollection- Return type
- Example
Click here to see an example of how to use list_steps API.
- list_target_components(compartment_id, **kwargs)¶
Gets a list of target component.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
target_id (str) – (optional) Target Id.
target_name (str) – (optional) Target name.
severity (str) –
(optional) Patch severity.
Allowed values are: “CRITICAL”, “HIGH”, “MEDIUM”, “LOW”
name (str) – (optional) Target Component Name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
opc_request_id (str) – (optional) The client request ID for tracing.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided.
Allowed values are: “componentName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeTargetComponentCollection- Return type
- Example
Click here to see an example of how to use list_target_components API.
- list_target_properties(compartment_id, **kwargs)¶
Gets a list of target properties.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
target_id (str) – (optional) Target Id.
target_name (str) – (optional) Target name.
severity (str) –
(optional) Patch severity.
Allowed values are: “CRITICAL”, “HIGH”, “MEDIUM”, “LOW”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
opc_request_id (str) – (optional) The client request ID for tracing.
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided.
Allowed values are: “propertyName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeTargetPropertyCollection- Return type
- Example
Click here to see an example of how to use list_target_properties API.
- manage_job_execution(manage_job_execution_details, scheduler_job_id, **kwargs)¶
Manage execution actions for a Job like retrying or pausing a task.
- Parameters
manage_job_execution_details (oci.fleet_apps_management.models.ManageJobExecutionDetails) – (required) Details for confirming Targets.
scheduler_job_id (str) – (required) unique SchedulerJob identifier
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use manage_job_execution API.
- report(report_details, compartment_id, **kwargs)¶
Report
- Parameters
report_details (oci.fleet_apps_management.models.ReportDetails) – (required) Details for generating report
compartment_id (str) – (required) The ID of the compartment in which to list resources.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeReportCollection- Return type
- Example
Click here to see an example of how to use report API.
- summarize_compliance_record_counts(**kwargs)¶
Retrieve aggregated summary information of ComplianceRecords within a Compartment.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeComplianceRecordAggregationCollection- Return type
- Example
Click here to see an example of how to use summarize_compliance_record_counts API.
- summarize_managed_entity_counts(**kwargs)¶
Retrieve aggregated summary information of Managed entities within a Compartment.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeManagedEntityAggregationCollection- Return type
- Example
Click here to see an example of how to use summarize_managed_entity_counts API.
- summarize_scheduler_job_counts(**kwargs)¶
Retrieve aggregated summary information of Scheduler Jobs within a Compartment.
- Parameters
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
compartment_id_in_subtree (bool) – (optional) If set to true, resources will be returned for not only the provided compartment, but all compartments which descend from it. Which resources are returned and their field contents depends on the value of accessLevel.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerJobAggregationCollection- Return type
- Example
Click here to see an example of how to use summarize_scheduler_job_counts API.
- update_patch(patch_id, update_patch_details, **kwargs)¶
Updates the patch specified by the identifier.
- Parameters
patch_id (str) – (required) Unique Patch identifier.
update_patch_details (oci.fleet_apps_management.models.UpdatePatchDetails) – (required) The information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_patch API.
- update_scheduler_definition(scheduler_definition_id, update_scheduler_definition_details, **kwargs)¶
Update the details of a SchedulerDefinition that performs lifecycle management operations.
- Parameters
scheduler_definition_id (str) – (required) unique SchedulerDefinition identifier
update_scheduler_definition_details (oci.fleet_apps_management.models.UpdateSchedulerDefinitionDetails) – (required) The information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_scheduler_definition API.
- update_scheduler_job(scheduler_job_id, update_scheduler_job_details, **kwargs)¶
Updates certain attributes for the specified schedule job.
- Parameters
scheduler_job_id (str) – (required) unique SchedulerJob identifier
update_scheduler_job_details (oci.fleet_apps_management.models.UpdateSchedulerJobDetails) – (required) Attributes to update a schedule job.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeSchedulerJob- Return type
- Example
Click here to see an example of how to use update_scheduler_job API.